Subject: Re: bug#38007: scroll-lock binding on Windows

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 08 Feb 2022 07:06:45 +0100

Eli Zaretskii <[email-masked]> writes:

> Did you succeed in figuring out where does the "Scroll_Lock" text come
> from?  It isn't in lispy_function_keys[] array.  On MS-Windows,
> "scroll" does come from that array.  That's what I meant by that
> remark.

Oh, I see.  No, I don't know where it's coming from.  I thought that we
(under X) got the key symbols for (some) keys from X, and didn't
maintain the database ourselves?  So we can basically get any symbol
that the X people dream up.

I thought that was the conclusion the last time keyboard events was
discussed, but my memory may well be faulty.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no